<?php 
function get_googlewebfonts() {
    // API Key    
    $config = get_option('spp_grtfonts_options');

    // Escape before output
    $api_key = esc_attr( $config['api_key'] );

    // Get the fonts
    $get_fonts = "https://www.googleapis.com/webfonts/v1/webfonts?key=$api_key";
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, FALSE);
    curl_setopt($ch, CURLOPT_HEADER, false);
    curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
    curl_setopt($ch, CURLOPT_URL, $get_fonts);
    curl_setopt($ch, CURLOPT_REFERER, $get_fonts);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
    $result = curl_exec($ch);
    curl_close($ch);
    // Debug $get_fonts curl is working
    //echo $result;

    // Translate JSON to array
    $font_list = json_decode($result, true);
    $fonts = $font_list['items'];
    // Debug
    //print_r($fonts);

    echo "<select name='webfonts'>";
    foreach ($fonts as $font) {
        echo "<option value='".$font[family]."'>".$font[family]."</option>";
    }
    echo "</select>";
}

// Customize TinyMCE
function spp_grtfonts_change_mce_options($initArray) {
    // Comma separated string od extendes tags
    // Command separated string of extended elements
    $ext = 'span[id|name|class|style]';

    if ( isset( $initArray['extended_valid_elements'] ) ) {
        $initArray['extended_valid_elements'] .= ',' . $ext;
    } else {
        $initArray['extended_valid_elements'] = $ext;
    }
    // maybe; set tiny paramter verify_html
    //$initArray['verify_html'] = false;

    return $initArray;
}
add_filter('tiny_mce_before_init', 'spp_grtfonts_change_mce_options');
?>