<?php
// wp_ajax_$request_name where $request_name must match action in adminajax.js
// http://pippinsplugins.com/using-ajax-your-plugin-wordpress-admin/
add_action('wp_ajax_spp_grtfonts_do_ajax_request', 'spp_grtfonts_process_ajax');

function spp_grtfonts_process_ajax(){
	// Access database
	//global $wpdb;

	// Verify
	if( !isset( $_POST['nonce'] ) || !wp_verify_nonce( $_POST['nonce'], 'spp_grtfonts_getfonts_form' ) )
		die( 'Nonce not present or valid' );
	if( $_POST['is_admin'] != 1 )
		die( 'You do not have admin privileges to perform this action' );
	if ( $_POST['ajax_posted'] != 1 )
		die( 'Form is not submitted via permitted channels' );

	// Replace font name with + as required by Webfonts to work 
	$fontname = str_replace(' ', '+', $_POST[webfonts]);
	
	echo "<div class='fontitem' id='".$_POST[webfonts]."'>";
	echo "<script type='text/javascript'>
		  WebFontConfig = {
		    google: { families: [ '".$fontname."::latin' ] }
		  };
		  (function() {
		    var wf = document.createElement('script');
		    wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
		      '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
		    wf.type = 'text/javascript';
		    wf.async = 'true';
		    var s = document.getElementsByTagName('script')[0];
		    s.parentNode.insertBefore(wf, s);
		  })(); </script>";
	echo "<label style='font-family: ".$_POST[webfonts]."'><input type='checkbox' name='selectedfonts[]' id='".$_POST[webfonts]."' value='".$_POST[webfonts]."' checked> ".$_POST[webfonts]."</label>";
	echo "<div>";
	
	die();
} 
?>