// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.sppgrtfontsmcebutton', {
		init : function(ed, url) {			
			 tinymce.plugins.sppgrtfontsmcebutton.theurl = url;
			 var pid = spp_grtfonts.pid;

			// Register buttons
			ed.addButton('sppgrtfonts', {title : 'Use Webfonts', cmd : 'mcebutton', image: tinymce.plugins.sppgrtfontsmcebutton.theurl + '/images/webfonts.png',
			onclick: function() {
				ed.windowManager.open({
					file : tinymce.plugins.sppgrtfontsmcebutton.theurl + '/greatfonts-dialog.php?pid='+pid, // file that contains HTML for our modal window
					width : 520 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 400 + parseInt(ed.getLang('button.delta_height', 0)), // size of our window
					inline : 1
				}, {
					plugin_url : tinymce.plugins.sppgrtfontsmcebutton.theurl
				});
			}
			});
		},		
		
		getInfo : function() {
			return {
				longname : 'Great Fonts',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('sppgrtfonts', tinymce.plugins.sppgrtfontsmcebutton);
	
})();